variable "rancher_version" {
  type        = string
  description = "Rancher server version (format v0.0.0)"
  default     = "2.10.0"
}

variable "server_dns" {
  type        = string
  description = "DNS host name of the server"
}

variable "rancher_helm_repository" {
  type        = string
  description = "The helm repository, where the Rancher helm chart is installed from"
  default     = "https://releases.rancher.com/server-charts/latest"
}

variable "wait_on" {
  type        = any
  description = "Resource to wait on"
  default     = true
}

variable "k8s_config_path" {
  description = "Path to the k8s config yaml file"
  type        = string
}
